<?php

$root = __DIR__;
$filedir = explode("samples" ,$root);
$lib = $filedir[0] . 'lib/rgraph_chart.php';
require_once ($lib);
$tmp = explode("/samples/line_file.php", $_SERVER['PHP_SELF']);
$base = $tmp[0] . "/libraries/";
$rgraph_root = $tmp[0] . "/";
use phpRGraph\rgraph_chart;
use phpRGraph\rgraph_options;
// rgraph chart
$id = "cvs";
$chart_type = "Line";
$draw_option = "draw();";
$width = "800";
$height = "350";

$file = $filedir[0] . "samples/square.data";

echo "<br>Data from " . $file . "<br>";
$chart = new rgraph_chart($id, null);
$file_data = $chart->getDataFromFile($file);
$chart->set_data($file_data['data']);

$options = new rgraph_options();
$options->set_option("title", "A Line Chart with Data from File");
$labels = $options->xlabelsteps($file_data['labels'],10);
$options->set_tooltip($file_data['data'], "#label# #val#");
$options->set_option("labels", $labels);
$options->set_option("ymax", (float)64);
$options->set_option("numyticks", 8);
$options->set_option("ylabelsCount", 4);
$options->set_tooltip($file_data['data'], "#label# #val#");

//$options->x_label_rotate(20);
$chart->set_options($options);

$chart_script = "";
$event_script = "";

// setup html
$scripts = $chart->getScripts((array)$options);
$java_scripts = "<script src='" . $base . $chart->getScript($chart_type) . "'  type='text/javascript' ></script>";
for ($i=0; $i<count($scripts); $i++)
{ if (isset($scripts[$i]))
   $java_scripts .= "\n<script src='" . $base . $scripts[$i] . "'  type='text/javascript' ></script>";
}

$template = $filedir[0] . 'lib/template.php';
include_once ($template);
?>



