<?php
/**
 * @filesource: py_system.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   sample to show use of php-helper classes for php_RGraph package
 *
 */
include_once "environment.php";
use phpRGraph\rgraph_chart;
use phpRGraph\rgraph_options;

// rgraph chart
$template = "default.php";
$id = "cvs";
$draw_option = "grow();";
$width = "700";
$height = "300";

$chart = new rgraph_chart("cvs", null, "Bar");
$csv_data = $chart->getCSVdata ("pv_system-201605.csv", 9);

$data = array($csv_data[2], $csv_data[4] );
$chart->set_data($data);
$chart->rearrangeData();

$options = new rgraph_options("bar_3d.ini");
$options->set_option("debug",true);
#e60000

$options->set_option("title", "Power Yield PV System in May 2016");

$options->set_option("xaxisLabels", $csv_data[0]);
$options->set_option("xaxisLabelsSize", 8);
$options->set_option("colorsSequential", false);
$options->set_option("grouping", "stacked");
$options->set_option("scaleDecimals", 2);
$options->set_gradientColors();
$options->set_option("key", array("SMA Sunnyboy 1","SMA Sunnyboy 2"));
$options->set_option("keyPositionY", 20);
$options->set_option("keyPositionX", 500);
$options->set_option("marginBottom", 120);

$options->set_option("tooltipsPositionStatic", false);
$options->set_tooltip($chart->get_data(), "#key# <br>#label# #val#kWh <br>Total #total#kWh");
$labels = $options->xlabelsteps($csv_data[0],2);
$options->set_option("xaxisLabels", $labels);

$chart->set_options($options);
$rgraph_json = $chart->toString();

$canvas_style = "background-repeat: no-repeat; background-image: url(../images/pv_system.jpg); background-size: 100% 100%;";
$chart_script = "";
$event_script = "";

include_once ($templates . $template);
?>



